<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 3.00
| Author: Rayxen, WEC
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."wrapper/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wrapper/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wrapper/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wrapper/locale/English.php";
}

// Infusion Information
$inf_title = $locale['epw_title'];
$inf_description = $locale['epw_desc'];
$inf_version = "3.00";
$inf_developer = "Rayxen";
$inf_email = "rayxen@phpfusion-mods.com";
$inf_weburl = "http://www.phpfusion-mods.com";

$inf_folder = "wrapper";

$inf_newtable[1] = DB_WRAPPER." (
	wrapper_id smallint (5) AUTO_INCREMENT,
	wrapper_title varchar (100) NOT NULL,
	wrapper_url varchar (255) NOT NULL,
	wrapper_description varchar (255),
	wrapper_height int (4) unsigned NOT NULL default '600',
	wrapper_resize tinyint (1) unsigned NOT NULL default '1',
	wrapper_allow_comments tinyint (1) unsigned NOT NULL default '0',
	wrapper_allow_ratings tinyint (1) unsigned NOT NULL default '0',
	wrapper_access tinyint (3) unsigned NOT NULL default '0',
	PRIMARY KEY (wrapper_id)
	) TYPE = MYISAM;";

$inf_insertdbrow[1] = "";

$inf_droptable[1] = DB_WRAPPER;

$inf_altertable[1] = DB_WRAPPER." DROP wrapper_side_left, DROP wrapper_u_ctr, DROP wrapper_l_ctr, DROP wrapper_side_right";

$inf_deldbrow[1] = "";

$inf_adminpanel[1] = array(
	"title" => $locale['epw_title'],
	"image" => "infusion_panel.gif",
	"panel" => "wrapper_admin.php",
	"rights" => "WRAP"
);

/* Disabled. No site link to be created on infusion
$inf_sitelink[1] = array(
	"title" => $locale['xxx_link1'],
	"url" => "filename.php",
	"visibility" => "0"
);
*/


if (isset($_GET['defuse']) && isnum($_GET['defuse'])) {

// Delete sitelinks created with wrapper on defusion
$result = dbquery("DELETE FROM ".DB_SITE_LINKS." WHERE link_url LIKE 'infusions/wrapper/wrapper.php?wrapper_id=%'");
	// Refresh site links
	$i = 1;
	$result = dbquery("SELECT * FROM ".DB_SITE_LINKS." ORDER BY link_order");
	while ($data = dbarray($result)) {
		$result2 = dbquery("UPDATE ".DB_SITE_LINKS." SET link_order='$i' WHERE link_id='".$data['link_id']."'");
		$i++;
	}

// Delete eclusion entries created by the wrapper on defusion
$settings2 = array();
$result = dbquery("SELECT * FROM ".DB_SETTINGS);
while ($data = dbarray($result)) {
	$settings2[$data['settings_name']] = $data['settings_value'];
}
$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=","/")."(.*?)\r\n"; // Intermediate rows
$settings2['exclude_left'] = preg_replace("#".$needle."#",'', $settings2['exclude_left']);
$needle = preg_quote("\r\n/infusions/wrapper/wrapper.php?wrapper_id=",'/')."(.*?)\$"; // Last row
$settings2['exclude_left'] = preg_replace("#".$needle."#",'', $settings2['exclude_left']);
$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=",'/')."(.*?)\$"; // Standalone row
$settings2['exclude_left'] = preg_replace("#".$needle."#",'', $settings2['exclude_left']);
dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".$settings2['exclude_left']."' WHERE settings_name='exclude_left'");

$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=",'/')."(.*?)\r\n";
$settings2['exclude_upper'] = preg_replace("#".$needle."#",'', $settings2['exclude_upper']);
$needle = preg_quote("\r\n/infusions/wrapper/wrapper.php?wrapper_id=",'/')."(.*?)\$";
$settings2['exclude_upper'] = preg_replace("#".$needle."#",'', $settings2['exclude_upper']);
$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=",'/')."(.*?)\$";
$settings2['exclude_upper'] = preg_replace("#".$needle."#",'', $settings2['exclude_upper']);
dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".$settings2['exclude_upper']."' WHERE settings_name='exclude_upper'");

$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=",'/')."(.*?)\r\n";
$settings2['exclude_lower'] = preg_replace("#".$needle."#",'', $settings2['exclude_lower']);
$needle = preg_quote("\r\n/infusions/wrapper/wrapper.php?wrapper_id=",'/')."(.*?)\$";
$settings2['exclude_lower'] = preg_replace("#".$needle."#",'', $settings2['exclude_lower']);
$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=",'/')."(.*?)\$";
$settings2['exclude_lower'] = preg_replace("#".$needle."#",'', $settings2['exclude_lower']);
dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".$settings2['exclude_lower']."' WHERE settings_name='exclude_lower'");

$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=",'/')."(.*?)\r\n";
$settings2['exclude_right'] = preg_replace("#".$needle."#",'', $settings2['exclude_right']);
$needle = preg_quote("\r\n/infusions/wrapper/wrapper.php?wrapper_id=",'/')."(.*?)\$";
$settings2['exclude_right'] = preg_replace("#".$needle."#",'', $settings2['exclude_right']);
$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=",'/')."(.*?)\$";
$settings2['exclude_right'] = preg_replace("#".$needle."#",'', $settings2['exclude_right']);
dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".$settings2['exclude_right']."' WHERE settings_name='exclude_right'");
}?>