<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: wrapper.php
| CVS Version: 3.00
| Author: Rayxen, WEC
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."wrapper/infusion_db.php";
require_once INCLUDES."comments_include.php";
require_once INCLUDES."ratings_include.php";

// loading.gif css
add_to_head("<style type='text/css'>
  /*this is what we want the div to look like when it is not showing*/
  div.loading-invisible{
    /*make invisible*/
    display:none;
  }

  /*this is what we want the div to look like when it is showing*/
  div.loading-visible{
    /*make visible*/
    display:block;

    /*position it 200px down the screen*/
    position:relative;
    top:5%;
    /*left:0;*/
    width:100%;
    text-align:center;

    /*background*/
    background:#fff;
    border-top:0px solid #ddd;
    border-bottom:0px solid #ddd;
  }
</style>
");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wrapper/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wrapper/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wrapper/locale/English.php";
}

// Prevent SQL Injection
if (isset($_GET['wrapper_id']) && !isnum($_GET['wrapper_id']) || !isset($_GET['wrapper_id'])) { redirect("index.php"); }

// Load specified page
if (isset($_GET['wrapper_id'])) {
	$result = dbquery("SELECT * FROM ".DB_WRAPPER." WHERE wrapper_id='".$_GET['wrapper_id']."'");
	if (dbrows($result)) {
		$data = dbarray($result);
		$page_title = $data['wrapper_title'];
		function stripBBCode($text_to_search) {
		 $pattern = '|[[\/\!]*?[^\[\]]*?]|si';
		 $replace = '';
		 return preg_replace($pattern, $replace, $text_to_search);
		}
		add_to_title(" - ".stripBBCode($page_title));  // strip BB code needed 7.01.00, fusion strip_bbcodes() not working
	} else {
		// Invalid wrapper id
		$error = "<div style='text-align:center'>" . $locale['epw_016'] . "</div>";
		$page_title = $locale['epw_001'];
		$data['wrapper_url'] = "";
		$data['wrapper_resize'] = "1";
		$data['wrapper_height'] = "";
		$data['wrapper_description'] = "";
		$data['wrapper_access'] = "";
		$data['wrapper_allow_comments'] = "";
		$data['wrapper_allow_ratings'] = "";
	}
} else {
	// FUTURE IDEA: Display a list of all wrapped pages (?)
	$error = "<div style='text-align:center'>" . $locale['epw_016'] . "</div>";
	$page_title = $locale['epw_001'];
}

opentable (stripBBCode($page_title));
if (isset($error)) echo $error;
if (checkgroup($data['wrapper_access'])) {
?>  

<!-- // loading gif/ -->
<div id="loading" class="loading-invisible"><img src="images/loading.gif" alt="" /></div>
<script type="text/javascript">
	document.getElementById("loading").className = "loading-visible";
	window.onload=function(){
    document.getElementById("loading").className = "loading-invisible";
	}
</script>
<!-- // loading gif/ -->

<script type="text/javascript">
//<![CDATA[
	/****************************************************************************
	* IFrame SSI script II-  Dynamic Drive DHTML code library (http://www.dynamicdrive.com)
	* Visit DynamicDrive.com for hundreds of original DHTML scripts
	* This notice must stay intact for legal use
	* This script has been modified - view wrapper_info.txt for more info
	****************************************************************************/

	// Input the ID of the IFRAME you wish to dynamically resize to match its content height:
	var iframeid = "myframe"
	var pageurl = <?php echo "'".$data['wrapper_url']."'"; ?>

	// Should script hide iframe from browsers that don't support this script (non IE5+/NS6+ browsers. Recommended):
	var iframehide = "yes"

	var getFFVersion = navigator.userAgent.substring(navigator.userAgent.indexOf("Firefox")).split("/")[1]
	var FFextraHeight = parseFloat(getFFVersion) >= 0.1? 16 : 0 //extra height in px to add to iframe in FireFox 1.0+ browsers

	// Called when browser object loads (event fired)
	function resizeCaller() {
		if (document.getElementById)
			resizeIframe(iframeid)

		// reveal iframe for lower end browsers? (see var above):
		if ((document.all || document.getElementById) && iframehide == "no"){
			var tempobj = document.all ? document.all[iframeids[i]] : document.getElementById(iframeids[i])
			tempobj.style.display = "block"
		}
	}

	// Called from resizeCaller()
	function resizeIframe(frameid){
		var currentfr = document.getElementById(frameid)
		
		// For every browser except Opera
		if (currentfr && !window.opera){
			currentfr.style.display = "block"

			// Attempt to get page height
			try {

				// Only resize according to settings
				if (<?php echo $data['wrapper_resize']; ?> == 1) {

					// Set height to height of document inside iframe
					if (currentfr.contentDocument && currentfr.contentDocument.body.offsetHeight) {
						currentfr.style.height = "auto";
						currentfr.style.height = currentfr.contentDocument.body.offsetHeight+FFextraHeight + 50 +"px";  // NS6 // +"px" added to fix error 
					} else if (currentfr.document && currentfr.document.body.scrollHeight) {
						currentfr.style.height = "auto";
						currentfr.style.height = document.frames(frameid).document.body.scrollHeight + 50 +"px";  // IE // +"px" added
					}

					// Firefox/Mozilla - Add Event Listener to iframe
					if (currentfr.addEventListener) {
						currentfr.addEventListener("load", readjustIframe, false)
					// IE - Add Event Listener to iframe
					} else if (currentfr.attachEvent){
						currentfr.detachEvent("onload", readjustIframe) // Bug fix line
						currentfr.attachEvent("onload", readjustIframe)
					}
				} else {
					// Set default height
					currentfr.style.height = <?php echo $data['wrapper_height']; ?>+"px"; // +"px" added to fix error 
				}
			} catch (e) {

				// Set default height (can't check height, no permissions)
				currentfr.style.height = <?php echo $data['wrapper_height']; ?>+"px"; // +"px" added to fix error 
			}
		} else if (window.opera) {
			// Set the default height for Opera (doesn't support resizing)
			currentfr.style.display = "block"
			currentfr.style.height = <?php echo $data['wrapper_height']; ?>+"px"; // +"px" added to fix error 
		}

	}

	// Called when iFrame is loaded with a new page
	function readjustIframe(loadevt) {
		var crossevt = (window.event) ? event : loadevt
		// Ge the HTML Element the event occurred on
		var iframeroot = (crossevt.currentTarget) ? crossevt.currentTarget : crossevt.srcElement
		// Resize the iframe
		if (iframeroot)
			resizeIframe(iframeroot.id);
	}


	// Add Event Listeners to page load
	if (window.addEventListener) {
		window.addEventListener("load", resizeCaller, false)  // Mozilla
	} else if (window.attachEvent) {
		window.attachEvent("onload", resizeCaller) // IE
	} else {
		window.onload = resizeCaller
	}

	window.onresize = resizeCaller; 
//]]>
</script>

<?php

// iframe
echo "<iframe id='myframe' name='myframe' src='" , $data['wrapper_url'] , "' scrolling='auto' marginwidth='0' marginheight='0' frameborder='0' style='overflow:visible; width:100%; display:none'>" , $locale['epw_043'] , "<a href='" , $data['wrapper_url'] , "'>" , $data['wrapper_url'] , "</a></iframe>
<!-- vspace='0' hspace='0' removed in order to validate -->

<noscript> " , $locale['epw_042'] , "<a href='" , $data['wrapper_url'] , "'>" , $data['wrapper_url'] , "</a></noscript>";
} else {
	echo "<center><br>\n".$locale['epw_044']."\n<br><br></center>\n"; // You are not permitted to view this page
}
closetable();

// Optional wrapped page description
if ($data['wrapper_description'] != "" && checkgroup($data['wrapper_access'])) {
	opentable(stripBBCode($data['wrapper_title']) . $locale['epw_040']);
		echo nl2br(stripslashes($data['wrapper_description']));
		echo "<table width='100%' border='0' cellpadding='0' cellspacing='0'>
			<tr><td colspan='2'><hr class='hr'></hr></td></tr>
			<tr><td class='small'>".$locale['epw_041'] , "<a href='", $data['wrapper_url'] , "' target='_blank'>" , $data['wrapper_url'] , "</a></td>
				<td align='right'><a href='http://www.dynamicdrive.com' target='_blank'>
				<img src='images/dhtml-scripts.png' width='80px' height='15px' alt='Dynamic Drive DHTML code library' /></a></td>
				</tr>
			</table>";
	closetable();
}

// Comments and rating
if (dbrows($result) && checkgroup($data['wrapper_access'])) { 
	if ($data['wrapper_allow_comments']){ showcomments("W",DB_WRAPPER,"wrapper_id",$_GET['wrapper_id'],FUSION_SELF."?wrapper_id=".$_GET['wrapper_id']);}
	if ($data['wrapper_allow_ratings']){ showratings("W",$_GET['wrapper_id'],FUSION_SELF."?wrapper_id=".$_GET['wrapper_id']);}
}

require_once THEMES."templates/footer.php";
?>