<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: wrapper_admin.php
| CVS Version: 3.00 for PHP-Fusion 7.01.00
| Author: Rayxen, WEC
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once INCLUDES."bbcode_include.php"; // 3.00
require_once THEMES."templates/admin_header.php";
require_once INCLUDES."html_buttons_include.php"; // 3.00
//require_once THEMES."templates/admin_header_mce.php"; //3.00 enabled
include INFUSIONS."wrapper/infusion_db.php";

// Use unique access right for infusions
if (!checkrights("WRAP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

/*
if ($settings['tinymce_enabled'] == 1) { //3.00
	echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";
} else {
	require_once INCLUDES."html_buttons_include.php";
}
*/

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wrapper/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wrapper/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wrapper/locale/English.php";
}

// error_reporting(E_ALL); // For testing

// Prevent SQL Injection
if (isset($wrapper_id) && !isnum($wrapper_id)) { redirect("../index.php"); }
if (!isset($formaction)) $formaction = "";
if (!isset($addlink)) $addlink = "";

// page navigation
$items_per_page = 10;

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "su") {
		$message = $locale['epw_401']."<br />\n".$locale['epw_402']."\n<a href='".BASEDIR."infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wid'])."'>infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wid'])."</a>\n";
	} elseif ($_GET['status'] == "sn") {
		$message = $locale['epw_406']."<br />\n".$locale['epw_402']."\n<a href='".BASEDIR."infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wid'])."'>infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wid'])."</a>\n";
	} elseif ($_GET['status'] == "del") {
		$message = $locale['epw_408'];
}
	if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}

// Delete page
if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['wrapper_id']) && isnum($_GET['wrapper_id']))) {
	$result = dbquery("DELETE FROM ".DB_WRAPPER." WHERE wrapper_id='".$_GET['wrapper_id']."'");

	// 3.00 For PHP-Fusion 7.01.00 settings_value and settings_name were introduced
	// 2.00 RC2
	$settings2 = array();
	$result = dbquery("SELECT * FROM ".DB_SETTINGS);
	while ($data = dbarray($result)) {
		$settings2[$data['settings_name']] = $data['settings_value'];
	}

	if(strstr($settings2['exclude_left'], "/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']))){
		$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']),'/')."\r\n"; // Intermediate rows
		$settings2['exclude_left'] = preg_replace("#".$needle."#",'', $settings2['exclude_left']);

		$needle = preg_quote("\r\n/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']),'/'); // Last row
		$settings2['exclude_left'] = preg_replace("#".$needle."#",'', $settings2['exclude_left']);

		$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']),'/'); // Standalone row
		$settings2['exclude_left'] = preg_replace("#".$needle."#",'', $settings2['exclude_left']);

		dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".$settings2['exclude_left']."' WHERE settings_name='exclude_left'");
	}
	if(strstr($settings2['exclude_upper'], "/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']))){
		$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']),'/')."\r\n";
		$settings2['exclude_upper'] = preg_replace("#".$needle."#",'', $settings2['exclude_upper']);

		$needle = preg_quote("\r\n/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']),'/');
		$settings2['exclude_upper'] = preg_replace("#".$needle."#",'', $settings2['exclude_upper']);

		$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']),'/');
		$settings2['exclude_upper'] = preg_replace("#".$needle."#",'', $settings2['exclude_upper']);
		dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".$settings2['exclude_upper']."' WHERE settings_name='exclude_upper'");
	}
	if(strstr($settings2['exclude_lower'], "/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']))){
		$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']),'/')."\r\n";
		$settings2['exclude_lower'] = preg_replace("#".$needle."#",'', $settings2['exclude_lower']);

		$needle = preg_quote("\r\n/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']),'/');
		$settings2['exclude_lower'] = preg_replace("#".$needle."#",'', $settings2['exclude_lower']);

		$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']),'/');
		$settings2['exclude_lower'] = preg_replace("#".$needle."#",'', $settings2['exclude_lower']);
		dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".$settings2['exclude_lower']."' WHERE settings_name='exclude_lower'");
	}
	if(strstr($settings2['exclude_right'], "/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']))){
		$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']),'/')."\r\n";
		$settings2['exclude_right'] = preg_replace("#".$needle."#",'', $settings2['exclude_right']);

		$needle = preg_quote("\r\n/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']),'/');
		$settings2['exclude_right'] = preg_replace("#".$needle."#",'', $settings2['exclude_right']);

		$needle = preg_quote("/infusions/wrapper/wrapper.php?wrapper_id=".intval($_GET['wrapper_id']),'/');
		$settings2['exclude_right'] = preg_replace("#".$needle."#",'', $settings2['exclude_right']);
		dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".$settings2['exclude_right']."' WHERE settings_name='exclude_right'");
	}
	// 2.00 RC2

	$data = dbarray(dbquery("SELECT * FROM ".DB_SITE_LINKS." WHERE link_url='infusions/wrapper/wrapper.php?wrapper_id=".$_GET['wrapper_id']."'"));
	if($data) {
	$result = dbquery("UPDATE ".DB_SITE_LINKS." SET link_order=link_order-1 WHERE link_order>'".$data['link_order']."'");
	$result = dbquery("DELETE FROM ".DB_SITE_LINKS." WHERE link_url='infusions/wrapper/wrapper.php?wrapper_id=".$_GET['wrapper_id']."'");
	}
	redirect(FUSION_SELF.$aidlink."&amp;status=del");
}

// Save page	
if (isset($_POST['save_page'])) {
	
	// Clean values
	$wrapper_title = stripinput($_POST['wrapper_title']);
	$wrapper_access = isNum($_POST['wrapper_access']) ? $_POST['wrapper_access'] : "0";
	$wrapper_description = addslash($_POST['wrapper_description']);
	$wrapper_url = stripinput($_POST['wrapper_url']);
	$wrapper_height = stripinput($_POST['wrapper_height']);
	$wrapper_resize = isset($_POST['wrapper_resize']) ? "1" : "";
	$comments = isset($_POST['wrapper_comments']) ? "1" : "0";
	$ratings = isset($_POST['wrapper_ratings']) ? "1" : "0";
	
	// Check for required values
	if ($wrapper_title == "" || $wrapper_url == "" || $wrapper_height == "") {
		echo "<div class='admin-message'>".$locale['epw_018']."</div>\n";
	} else {
		 
		// Update wrapper
		if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['wrapper_id']) && isnum($_GET['wrapper_id']))) {
			$result = dbquery("UPDATE ".DB_WRAPPER." SET 
				wrapper_title='".$wrapper_title."',
				wrapper_access='".$wrapper_access."',
				wrapper_description='".$wrapper_description."',
				wrapper_url='".$wrapper_url."',
				wrapper_height='".$wrapper_height."',
				wrapper_resize='".$wrapper_resize."',
				wrapper_allow_comments='".$comments."',
				wrapper_allow_ratings='".$ratings."'
				WHERE wrapper_id='".$_GET['wrapper_id']."'");
			redirect(FUSION_SELF.$aidlink."&amp;status=su&amp;wid=".$_GET['wrapper_id']);
		} else {

			// Add new wrapper
			$result = dbquery("INSERT INTO ".DB_WRAPPER." VALUES (
				'',
				'".$wrapper_title."',
				'".$wrapper_url."',
				'".$wrapper_description."',
				'".$wrapper_height."',
				'".$wrapper_resize."',
				'".$comments."',
				'".$ratings."',
				'".$wrapper_access."'
				)");

			$wrapper_id = mysql_insert_id();
			
			// 3.00 For PHP-Fusion 7.01.00 settings_value and settings_name were introduced
			// 2.00 RC2
			$settings2 = array();
			$result = dbquery("SELECT * FROM ".DB_SETTINGS);
			while ($data = dbarray($result)) {
				$settings2[$data['settings_name']] = $data['settings_value'];
			}

			if(!strstr($settings2['exclude_left'], "/infusions/wrapper/wrapper.php?wrapper_id=".intval($wrapper_id)) && isset($_POST['wrapper_side_left']) == 0){
				if ($settings2['exclude_left'] == "") {
				dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".stripinput("/infusions/wrapper/wrapper.php?wrapper_id=".intval($wrapper_id))."' WHERE settings_name='exclude_left'");
				} else {
				dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".$settings2['exclude_left']."\r\n".stripinput("/infusions/wrapper/wrapper.php?wrapper_id=".intval($wrapper_id))."' WHERE settings_name='exclude_left'");
				}
			}
			
			if(!strstr($settings2['exclude_upper'], "/infusions/wrapper/wrapper.php?wrapper_id=".intval($wrapper_id)) && isset($_POST['wrapper_u_ctr']) == 0){
				if ($settings2['exclude_upper'] == "") {
				dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".stripinput("/infusions/wrapper/wrapper.php?wrapper_id=".intval($wrapper_id))."' WHERE settings_name='exclude_upper'");
				} else {
				dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".$settings2['exclude_upper']."\r\n".stripinput("/infusions/wrapper/wrapper.php?wrapper_id=".intval($wrapper_id))."' WHERE settings_name='exclude_upper'");
				}
			}
			
			if(!strstr($settings2['exclude_lower'], "/infusions/wrapper/wrapper.php?wrapper_id=".intval($wrapper_id)) && isset($_POST['wrapper_l_ctr']) == 0){
				if ($settings2['exclude_lower'] == "") {
				dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".stripinput("/infusions/wrapper/wrapper.php?wrapper_id=".intval($wrapper_id))."' WHERE settings_name='exclude_lower'");
				} else {
				dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".$settings2['exclude_lower']."\r\n".stripinput("/infusions/wrapper/wrapper.php?wrapper_id=".intval($wrapper_id))."' WHERE settings_name='exclude_lower'");
				}
			}
			
			if(!strstr($settings2['exclude_right'], "/infusions/wrapper/wrapper.php?wrapper_id=".intval($wrapper_id)) && isset($_POST['wrapper_side_right']) == 0){
				if ($settings2['exclude_right'] == "") {
				dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".stripinput("/infusions/wrapper/wrapper.php?wrapper_id=".intval($wrapper_id))."' WHERE settings_name='exclude_right'");
				} else {
				dbquery("UPDATE ".DB_SETTINGS." SET settings_value = '".$settings2['exclude_right']."\r\n".stripinput("/infusions/wrapper/wrapper.php?wrapper_id=".intval($wrapper_id))."' WHERE settings_name='exclude_right'");
				}
			}
			// 2.00 RC2

				if (isset($_POST['add_link'])) {
				$link_visibility = isNum($_POST['link_visibility']) ? $_POST['link_visibility'] : "0";
				$link_position = isset($_POST['link_position']) ? $_POST['link_position'] : "0"; // 2.00 Was missing!
				$link_window = isset($_POST['link_window']) ? $_POST['link_window'] : "0"; // 2.00 Was missing!
				$link_order = isnum($_POST['link_order']) ? $_POST['link_order'] : ""; // 2.00 Was missing!
				$result = dbquery("SELECT * FROM ".DB_SITE_LINKS." ORDER BY link_order DESC LIMIT 1");
				$data = dbarray($result);
				if(!$link_order) { $link_order=dbresult(dbquery("SELECT MAX(link_order) FROM ".DB_SITE_LINKS.""),0)+1; }
				$result = dbquery("UPDATE ".DB_SITE_LINKS." SET link_order=link_order+1 WHERE link_order>='$link_order'");
				$result = dbquery("INSERT INTO ".DB_SITE_LINKS." (link_name, link_url, link_visibility, link_position, link_window, link_order) VALUES ('$wrapper_title', 'infusions/wrapper/wrapper.php?wrapper_id=$wrapper_id', '$link_visibility', '$link_position', '$link_window', '$link_order')");
				}
			redirect(FUSION_SELF.$aidlink."&amp;status=sn&amp;wid=".$wrapper_id);
		}
	}
}

// Edit Page
if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['wrapper_id']) && isnum($_GET['wrapper_id']))) {
	opentable($locale['epw_003'] . $locale['epw_001']);
	
	// Display any errors
	if (isset($error)) {
		echo $error;
	} else {
		$result = dbquery("SELECT * FROM ".DB_WRAPPER." WHERE wrapper_id='".$_GET['wrapper_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			// Set values
			$wrapper_title = $data['wrapper_title'];
			$wrapper_access = $data['wrapper_access'];
			$wrapper_description = stripslashes($data['wrapper_description']);
			$wrapper_url = $data['wrapper_url'];
			$wrapper_height = $data['wrapper_height'];
			$wrapper_resize = $data['wrapper_resize'];
			$addlink = "";
			$link_visibility = '';
			$comments = $data['wrapper_allow_comments'];
			$ratings = $data['wrapper_allow_ratings'];
			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;wrapper_id=".$_GET['wrapper_id'];
		} else {
			// Invalid wrapper id
			echo  "<div style='text-align:center'>" , $locale['epw_016'] , "<br /><br /></div>";
		}
	}
	
// Add Page
} else {
	opentable($locale['epw_002'] . $locale['epw_001']);
	// Clear values
	$wrapper_title = '';
	$wrapper_access = '';
	$wrapper_description = '';
	$wrapper_url = '';
	$wrapper_height = '';
	$wrapper_resize = 1;
	$addlink = '';
	$link_visibility = '';
	$comments = 1;
	$ratings = 1;
	$formaction = FUSION_SELF.$aidlink;
}

// Default page height 600
$check_height = ($wrapper_height !== '') ? "$wrapper_height" : "600" ;

// Getting status
$check_comments = ($comments == 1) ? " checked='checked'" : "" ;
$check_ratings = ($ratings == 1) ? " checked='checked'" : "" ;
$check_addlink = ($addlink == 1) ? " checked='checked'" : "" ;

// Determine if wrapper should be resized or not
$check_resize = ($wrapper_resize == 1) ? " checked='checked'" : "" ;

// Visibility options for link in navigation 
$visibility_opts = ""; $sel = "";
	$user_groups = getusergroups();
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($link_visibility == $user_group['0'] ? " selected='selected'" : "");
		$visibility_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}

// Link order list
function stripBBCode($text_to_search) {
	$pattern = '|[[\/\!]*?[^\[\]]*?]|si';
	$replace = '';
return preg_replace($pattern, $replace, $text_to_search);
}		

$editlist = ""; $sel = ""; $display_order = "";
$result = dbquery("SELECT * FROM ".DB_SITE_LINKS." ORDER BY link_order");
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			if (isset($link_id)) $sel = ($link_id == $data['link_id'] ? " selected" : "");
				if ($data['link_order'] < 10) {
					$display_order = "0".$data['link_order'];
				} else {
					$display_order = $data['link_order'];
				}
$editlist .= "<option value='".$data['link_order']."'$sel>".$display_order." | ".stripBBCode($data['link_name'])."</option>\n";
		}
	}

$user_groups = getusergroups(); $access_opts = ""; $sel = "";
while(list($key, $user_group) = each($user_groups)){
	$sel = ($wrapper_access == $user_group['0'] ? " selected='selected'" : "");
	$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
}

// Display form
echo "<form name='inputform' id='frmWrapper' action='".$formaction."' method='post'>
<table align='center' cellpadding='0' cellspacing='0' width='550'>
<tr>
<td width='100' class='tbl'>".$locale['epw_010']."</td>
<td  width='80%' class='tbl'><input type='text' name='wrapper_title' value='".$wrapper_title."' class='textbox' style='width:200px;' />
&nbsp;".$locale['epw_010.1']."<select name='wrapper_access' class='textbox' style='width:150px;'>
".$access_opts."</select><span style='color:#ff0000'> *</span>
</td>
</tr>

<tr>
<td width='100' class='tbl'></td>
<td class='tbl'>
".display_bbcodes("240px;", "wrapper_title", "inputform", "b|i|u|color")."
</td>
</tr>

<tr>
<td valign='top' width='100' class='tbl'></td>
<td class='tbl'><span style='color:#ff0000'>* </span><em>".$locale['epw_010.2']."</em></td>
</tr>
<tr>
<td valign='top' width='100' class='tbl'>".$locale['epw_011']."</td>
<td class='tbl'><textarea name='wrapper_description' cols='60' rows='5' class='textbox' style='width:100%;'>".$wrapper_description."</textarea></td>
</tr>\n";

		//if ($settings['tinymce_enabled'] != 1) {
			echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>\n";
			echo display_html("inputform", "wrapper_description", true, false, false, "");//true, true, IMAGES
			echo "</td>\n</tr>\n";
		//}

echo "<tr>
<td width='100' class='tbl'>".$locale['epw_012']."</td>
<td class='tbl'><input type='text' name='wrapper_url' value='".$wrapper_url."' class='textbox' style='width:100%;' /></td>
</tr>
<tr>
<td width='100' class='tbl'>".$locale['epw_013']."</td>
<td class='tbl'><input type='text' name='wrapper_height' value='".$check_height."' class='textbox' style='width:50px;' /> px\n</td>
</tr>

<tr>
<td width='100' class='tbl'>&nbsp;</td>
<td class='tbl'>
<label><input type='checkbox' name='wrapper_resize' value='1'".$check_resize." /> ".$locale['epw_014']."</label></td>
</tr>

<tr>
<td width='100' class='tbl'>&nbsp;</td>
<td class='tbl'>
<label><input type='checkbox' name='wrapper_comments' value='1'".$check_comments." /> ".$locale['epw_060']."</label></td>
</tr>

<tr>
<td width='100' class='tbl'>&nbsp;</td>
<td class='tbl'>
<label><input type='checkbox' name='wrapper_ratings' value='1'".$check_ratings." /> ".$locale['epw_061']."</label></td>
</tr>

<tr>
<td width='100' class='tbl'>&nbsp;</td>
<td class='tbl'>\n";
if (!isset($_GET['wrapper_id']) || !isnum($_GET['wrapper_id'])) echo "<label><input type='checkbox' name='wrapper_side_left' value='1' checked='checked' />  ".$locale['epw_054']."</label></td>\n";
echo "</tr>

<tr>
<td width='100' class='tbl'>&nbsp;</td>
<td class='tbl'>\n";
if (!isset($_GET['wrapper_id']) || !isnum($_GET['wrapper_id'])) echo "<label><input type='checkbox' name='wrapper_u_ctr' value='1' checked='checked' />  ".$locale['epw_055']."</label></td>\n";
echo "</tr>

<tr>
<td width='100' class='tbl'>&nbsp;</td>
<td class='tbl'>\n";
if (!isset($_GET['wrapper_id']) || !isnum($_GET['wrapper_id'])) echo "<label><input type='checkbox' name='wrapper_l_ctr' value='1' checked='checked' />  ".$locale['epw_056']."</label></td>\n";
echo "</tr>

<tr>
<td width='100' class='tbl'>&nbsp;</td>
<td class='tbl'>\n";
if (!isset($_GET['wrapper_id']) || !isnum($_GET['wrapper_id'])) echo "<label><input type='checkbox' name='wrapper_side_right' value='1' checked='checked' />  ".$locale['epw_057']."</label></td>\n";
echo "</tr>

<tr>
<td width='100' class='tbl'>&nbsp;</td>
<td class='tbl'>\n";
if (!isset($_GET['wrapper_id']) || !isnum($_GET['wrapper_id'])) echo "<label><input type='checkbox' name='add_link' value='1'".$check_addlink." onclick=\"show_hide('group_01')\" />  ".$locale['epw_433']."</label></td>\n";
echo "</tr>

<tr>\n";
if (!isset($_GET['wrapper_id']) || !isnum($_GET['wrapper_id'])) echo "
<td valign='top' class='tbl'></td>
<td><div id='group_01' style=\"display: none;\"><fieldset>
<legend><select name='link_visibility' class='textbox'>$visibility_opts</select> ".$locale['epw_422']."</legend>
<select name='link_order' class='textbox'>$editlist</select> ".$locale['epw_423']."<br />
<label><input type='radio' name='link_position' value='1' checked='checked' /> ".$locale['epw_425']."</label><br />
<label><input type='radio' name='link_position' value='2' /> ".$locale['epw_426']."</label><br />
<label><input type='radio' name='link_position' value='3' /> ".$locale['epw_427']."</label><br />
<label><input type='checkbox' name='link_window' value='1' /> ".$locale['epw_428']."</label></fieldset></div></td>\n";
echo "</tr>

<tr>
<td align='center' colspan='2' class='tbl'><br />\n";

if (isset($_POST['wrapper_id']) && isnum($_POST['wrapper_id'])) {
	echo "<input type='hidden' name='wrapper_id' value='".$_POST['wrapper_id']."' />\n";
}

echo "<input type='submit' name='save_page' value='".$locale['epw_015']."' class='button' /></td>
</tr>
</table>
</form>\n";

closetable();

// Page Listings
opentable($locale['epw_001'] . $locale['epw_004']);

// page navigation
$rows = dbcount("(*)", DB_WRAPPER);
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

	$result = dbquery("SELECT * FROM ".DB_WRAPPER." ORDER BY wrapper_title LIMIT ".$_GET['rowstart'].",$items_per_page");
	if (dbrows($result)) {
		// List pages
		echo "<table cellpadding='0' cellspacing='1' width='550' class='tbl-border center'>
			<tr>
			<td class='tbl2' style='font-weight:bold'>".$locale['epw_021']."</td>
			<td class='tbl2' style='text-align:center; font-weight:bold'>".$locale['epw_022']."</td>
			<td class='tbl2' style='text-align:center; font-weight:bold'>".$locale['epw_023']."</td>				
			<td class='tbl2' style='text-align:center; font-weight:bold'>".$locale['epw_060']."</td>
			<td class='tbl2' style='text-align:center; font-weight:bold'>".$locale['epw_061']."</td>
			<td class='tbl2' style='text-align:right; font-weight:bold'>".$locale['epw_024']."</td>
			</tr>";
		
		$i = 0;
		while ($data = dbarray($result)) {
			$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			$data['wrapper_resize'] = ($data['wrapper_resize']==1) ? $locale['epw_050'] : $locale['epw_051'];
			$data['wrapper_allow_comments'] = ($data['wrapper_allow_comments']==1) ? $locale['epw_050'] : $locale['epw_051'];
			$data['wrapper_allow_ratings'] = ($data['wrapper_allow_ratings']==1) ? $locale['epw_050'] : $locale['epw_051'];
			
			echo "<tr>
				<td class='".$row_color."'><a href='".$data['wrapper_url']."' target='_blank'>".parseubb($data['wrapper_title'], "b|i|u|color")."</a></td>
				<td class='".$row_color."' style='text-align:center'>".$data['wrapper_height']."px</td>
				<td class='".$row_color."' style='text-align:center'>".$data['wrapper_resize']."</td>
				<td class='".$row_color."' style='text-align:center'>".$data['wrapper_allow_comments']."</td>
				<td class='".$row_color."' style='text-align:center'>".$data['wrapper_allow_ratings']."</td>
				<td class='".$row_color."' style='text-align:right'>
					<a href='wrapper.php?wrapper_id=".$data['wrapper_id']."' target='_blank'>".$locale['epw_025']."</a> | 
					<a href='wrapper_admin.php".$aidlink."&amp;action=edit&amp;wrapper_id=".$data['wrapper_id']."'>".$locale['epw_026']."</a> | 
					<a href='wrapper_admin.php".$aidlink."&amp;action=delete&amp;wrapper_id=".$data['wrapper_id']."' onclick='return DeleteItem()'>".$locale['epw_027']."</a></td>
				</tr>\n";
		$i++;
		}

		echo "</table>";

	
		// page navigation
		if ($rows > $items_per_page) echo "<br /><div align='center' style='margin-top:5px;'>\n".makePageNav($_GET['rowstart'],$items_per_page,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
echo "<script type='text/javascript'>
function DeleteItem() {
	return confirm('".$locale['epw_017']."');
}
</script>\n";

	} else {
		// No pages in db
		echo  "<div style='text-align:center'>" , $locale['epw_020'] , "</div>";
	}

closetable();

require_once THEMES."templates/footer.php";
?>